# Integration Tutorial

## Provider Notes

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

| Provider note| Notes |
| --- | --- |
| fal-ai/flux-1/dev | Provider note|
| fal-ai/flux-1/dev/image-to-image | Provider note|
| fal-ai/flux-1/dev/redux | Provider note|
| fal-ai/flux-1/schnell | Provider note|
| fal-ai/flux-1/schnell/redux | Provider note|
| fal-ai/flux-pro/kontext | Provider note|
| fal-ai/flux-pro/kontext/max | Provider note|
| fal-ai/flux-pro/kontext/max/multi | Provider note|
| fal-ai/flux-pro/kontext/max/text-to-image | Provider note|
| fal-ai/flux-pro/kontext/multi | Provider note|
| fal-ai/flux-pro/kontext/text-to-image | Provider note|

---

## Provider Notes

This section contains endpoint-specific behavior, parameters, or usage notes for this API.
This section contains endpoint-specific behavior, parameters, or usage notes for this API.
This section contains endpoint-specific behavior, parameters, or usage notes for this API.
This section contains endpoint-specific behavior, parameters, or usage notes for this API.
This section contains endpoint-specific behavior, parameters, or usage notes for this API.

### Provider Notes

#### Provider Notes

```
POST {{BASE_URL}}/fal-ai/{{model}}
```

#### Example

```
curl --request POST
--url {{BASE_URL}}/fal-ai/flux-1/dev
--header 'Authorization: Bearer your-key'
--header 'Content-Type: application/json'
--data '{
"prompt": "Extreme close-up of a single cat eye, direct frontal view. Detailed iris and pupil. Sharp focus on eye texture and color. Natural lighting to capture authentic eye shine and depth. The word \"openai-hk\" is painted over it in big, white brush strokes with visible texture."
}'
```

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

#### Response Body

```
{
"status": "IN_QUEUE",
"request_id": "551a32da-52b2-4be8-bf2f-bfb7cce2b324",
"response_url": "https://queue.fal.run/fal-ai/flux-1/requests/551a32da-52b2-4be8-bf2f-bfb7cce2b324",
"status_url": "https://queue.fal.run/fal-ai/flux-1/requests/551a32da-52b2-4be8-bf2f-bfb7cce2b324/status",
"cancel_url": "https://queue.fal.run/fal-ai/flux-1/requests/551a32da-52b2-4be8-bf2f-bfb7cce2b324/cancel",
"queue_position": 0
}
```

This section contains endpoint-specific behavior, parameters, or usage notes for this API.
This section contains endpoint-specific behavior, parameters, or usage notes for this API.

---

### Provider Notes

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

#### Provider Notes

```
GET {BASE_URL}/fal-ai/{modelname}/requests/{request_id}
```

#### Example

```
curl --request GET
--url {{BASE_URL}}/fal-ai/flux-1/requests/551a32da-52b2-4be8-bf2f-bfb7cce2b324
--header 'Authorization: Bearer hk-your-key'
--header 'Content-Type: application/json'
```

---

#### Response Body.image

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

```
{
"images": [
{
"url": "https://v3.fal.media/files/rabbit/aQEmU4lEKKIIr9cDOChUB.png",
"width": 1024,
"height": 768,
"content_type": "image/png"
}
],
"timings": {
"inference": 1.2249955059960485
},
"seed": 920212137,
"has_nsfw_concepts": [false],
"prompt": "Extreme close-up of a single cat eye, direct frontal view. Detailed iris and pupil. Sharp focus on eye texture and color. Natural lighting to capture authentic eye shine and depth. The word \"openai-hk\" is painted over it in big, white brush strokes with visible texture."
}
```

#### Provider Notes

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

```
{
"video": {
"url": "https://v3.fal.media/files/lion/eSsTNfWQRXfWGim1B8ZL5_output.mp4",
"content_type": "video/mp4",
"file_name": "output.mp4",
"file_size": 946834
}
}
```

---

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

---
